//------------------------------------------------------------------------------
// fwd.h - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file: input/fwd.h
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 05.07.2009
 */

#ifndef INPUT_FWD_H_
#define INPUT_FWD_H_

#include "../utilities/fwd_default.h"

namespace gewoopi
{
namespace input
{

  typedef unsigned char DeviceId;

  DEF_SMART_PTR_FORWARD(class, Manager);
  DEF_SMART_PTR_FORWARD(class, Device);
  DEF_SMART_PTR_FORWARD(class, Button);
  DEF_SMART_PTR_FORWARD(class, PhysicalButton);

} // namespace input
} // namespace gewoopi

#endif /* INPUT_FWD_H_ */
