//------------------------------------------------------------------------------
// mesh_manager.cpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 24.10.2009
 */

#include "scene/mesh_manager.hpp"
#include "mesh_loader/loader_obj.hpp"

namespace gewoopi
{
namespace scene
{

  MeshManager::MeshManager()
  {
    LoaderPtr wavefront_obj( new LoaderOBJ() );

    addLoader(".obj", wavefront_obj);
  }

} // namespace gewoopi
} // namespace scene
