//------------------------------------------------------------------------------
// input.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief Includefile to include all headers of the input part of the engine
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 18.07.2009
 */

#ifndef GEWOOPI_INPUT_HPP_
#define GEWOOPI_INPUT_HPP_

#include <gewoopi/input/device.h>
#include <gewoopi/input/manager.h>

#endif /* GEWOOPI_INPUT_HPP_ */
