//------------------------------------------------------------------------------
// scene.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief Common includes of members of the scene namespace
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 09.09.2009
 */

/*
 *  gewoopi - a multiplatform game engine with an object orientated interface
 *  Copyright (C) 2008-2009 Thomas Geymayer <tomgey@gmail.com>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef GEWOOPI_SCENE_HPP_
#define GEWOOPI_SCENE_HPP_

#include "scene/manager.h"
#include "scene/node.h"
#include "scene/camera_perspective.h"
#include "scene/mesh.hpp"

#endif /* GEWOOPI_SCENE_HPP_ */
