//------------------------------------------------------------------------------
// fwd.h - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file: scene/fwd.h
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 15.07.2009
 */

#ifndef SCENE_FWD_H_
#define SCENE_FWD_H_

#include "../utilities/fwd_default.h"

namespace gewoopi
{
namespace scene
{

  DEF_SMART_PTR_FORWARD(class,Camera);
  DEF_SMART_PTR_FORWARD(class,CameraPerspective);
  DEF_SMART_PTR_FORWARD(class,Manager);
  DEF_SMART_PTR_FORWARD(class,Mesh);

} // namespace scene
} // namespace gewoopi

#endif /* SCENE_FWD_H_ */
