//------------------------------------------------------------------------------
// mesh_manager.hpp - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

/*!
 * @file
 * @brief
 * @details
 * @author Thomas Geymayer <tomgey@gmail.com>
 * @date Date of Creation: 24.10.2009
 */

#ifndef GEWOOPI_MESH_MANAGER_HPP_
#define GEWOOPI_MESH_MANAGER_HPP_

#include "../utilities/manager.hpp"
#include "mesh.hpp"

namespace gewoopi
{
namespace scene
{

  class MeshManager:
    public utilities::Manager<Mesh,MeshManager>
  {
    public:

      //------------------------------------------------------------------------
      ///
      /// Constructor
      ///

      MeshManager();

  };

} // namespace gewoopi
} // namespace scene

#endif /* GEWOOPI_MESH_MANAGER_HPP_ */
