//------------------------------------------------------------------------------
// fwd.h - this file is part of the gewoopi game engine
// (c) copyright 2009 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#ifndef FWD_H_
#define FWD_H_

#include "../utilities/fwd_default.h"

namespace gewoopi
{
namespace video
{

  class Camera;

  class Renderer;
  class RenderTarget;

  class Window;

  DEF_SMART_PTR(Renderer);
  DEF_SMART_PTR(Window);

  enum CullMode
  {
    NONE,
    CW,
    CCW
  };

  enum PrimitiveType
  {
    TRIANGLE_LIST,
    TRIANGLE_STRIP,
    TRIANGLE_FAN,
    QUAD_LIST,
  };

} // namespace video
} // namespace gewoopi

#endif /* FWD_H_ */
