//------------------------------------------------------------------------------
// render_operation.h - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#ifndef RENDER_OPERATION_H_
#define RENDER_OPERATION_H_

namespace gewoopi
{
namespace video
{
  class Renderer;

  class RenderOperation
  {
    public:
      RenderOperation();
      virtual ~RenderOperation();

      virtual void render( Renderer* render ) = 0;
  };

}
}

#endif /* RENDER_OPERATION_H_ */
