//------------------------------------------------------------------------------
// render_target.cpp - this file is part of the gewoopi game engine
// (c) copyright 2008 Thomas Geymayer <tomgey@gmail.com>
// For conditions of distribution and use, see copyright notice in gewoopi.h
//------------------------------------------------------------------------------

#include "video/render_target.h"

namespace gewoopi
{
namespace video
{

  //----------------------------------------------------------------------------
  RenderTarget::RenderTarget( const math::Size2D<int>& size,
                              SurfaceFormat format ):
    _size  ( size   ),
    _format( format )
  {

  }

  //----------------------------------------------------------------------------
  RenderTarget::~RenderTarget()
  {

  }

  //----------------------------------------------------------------------------
  const math::Size2D<int>& RenderTarget::getSize() const
  {
    return _size;
  }

} // namespace gewoopi
} // namespace video
